## linux-restricted-modules-aws 4.15.0-1063.67

=== debian/changelog ===
linux-restricted-modules-aws (4.15.0-1063.67) bionic; urgency=medium

  * Master version: 4.15.0-1063.67

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 02 Mar 2020 02:06:53 -0500

linux-restricted-modules-aws (4.15.0-1062.66) bionic; urgency=medium

  * Master version: 4.15.0-1062.66

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 26 Feb 2020 03:19:05 -0500

linux-restricted-modules-aws (4.15.0-1061.65+1) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] sync file-downloader
  * Bump upload number.

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 21 Feb 2020 10:33:46 +0100

linux-restricted-modules-aws (4.15.0-1061.65) bionic; urgency=medium

  * Master version: 4.15.0-1061.65
  * Bump upload number.

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 20 Feb 2020 18:16:14 +0100

linux-restricted-modules-aws (4.15.0-1061.64) bionic; urgency=medium

  * Master version: 4.15.0-1061.64

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build
  * Bump upload number.

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 20 Feb 2020 16:51:12 +0100

linux-restricted-modules-aws (4.15.0-1061.63) bionic; urgency=medium

  * Master version: 4.15.0-1061.63

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Tue, 18 Feb 2020 19:51:22 -0800

linux-restricted-modules-aws (4.15.0-1060.62) bionic; urgency=medium

  * Master version: 4.15.0-1060.62

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Tue, 11 Feb 2020 17:56:47 -0300

linux-restricted-modules-aws (4.15.0-1059.61) bionic; urgency=medium

  * Master version: 4.15.0-1059.61

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 03 Feb 2020 16:40:34 +0100

linux-restricted-modules-aws (4.15.0-1058.60) bionic; urgency=medium

  * Master version: 4.15.0-1058.60

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Connor Kuehl <connor.kuehl@canonical.com>  Wed, 15 Jan 2020 11:02:08 -0800

linux-restricted-modules-aws (4.15.0-1057.59) bionic; urgency=medium

  * Master version: 4.15.0-1057.59

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 03 Dec 2019 16:07:25 +0100

linux-restricted-modules-aws (4.15.0-1056.58) bionic; urgency=medium

  * Master version: 4.15.0-1056.58

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 26 Nov 2019 16:00:58 +0100

linux-restricted-modules-aws (4.15.0-1055.57) bionic; urgency=medium

  * Master version: 4.15.0-1055.57

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 15 Nov 2019 16:09:26 +0100

linux-restricted-modules-aws (4.15.0-1054.56) bionic; urgency=medium

  * Master version: 4.15.0-1054.56

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 07 Nov 2019 16:09:48 +0100

linux-restricted-modules-aws (4.15.0-1053.55) bionic; urgency=medium

  * Master version: 4.15.0-1053.55

 -- Khalid Elmously <khalid.elmously@canonical.com>  Tue, 22 Oct 2019 02:53:58 -0400

linux-restricted-modules-aws (4.15.0-1052.54) bionic; urgency=medium

  * Master version: 4.15.0-1052.54

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 01 Oct 2019 15:57:58 +0200

linux-restricted-modules-aws (4.15.0-1051.53) bionic; urgency=medium

  * Master version: 4.15.0-1051.53

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 18 Sep 2019 09:53:14 -0300

linux-restricted-modules-aws (4.15.0-1050.52) bionic; urgency=medium

  * Master version: 4.15.0-1050.52

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 12 Sep 2019 21:38:56 +0200

linux-restricted-modules-aws (4.15.0-1049.51) bionic; urgency=medium

  * Master version: 4.15.0-1049.51

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Fri, 06 Sep 2019 17:48:31 -0700

linux-restricted-modules-aws (4.15.0-1048.50) bionic; urgency=medium

  * Master version: 4.15.0-1048.50

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 04 Sep 2019 17:30:15 -0400

linux-restricted-modules-aws (4.15.0-1047.49) bionic; urgency=medium

  * Master version: 4.15.0-1047.49

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Thu, 22 Aug 2019 16:21:57 -0700

linux-restricted-modules-aws (4.15.0-1046.48) bionic; urgency=medium

  * Master version: 4.15.0-1046.48

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master
    - debian/scripts/misc/git-ubuntu-log -- update from master
    - debian/scripts/dkms-build--nvidia-N -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 16 Aug 2019 11:18:28 +0200

linux-restricted-modules-aws (4.15.0-0.0) bionic; urgency=medium

  * Initial Revision.

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 28 Jun 2019 00:00:00 +0100
