## linux-restricted-modules-aws 4.15.0-1064.68

=== debian/changelog ===
linux-restricted-modules-aws (4.15.0-1064.68) bionic; urgency=medium

  * Master version: 4.15.0-1064.68

  * Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the
    340 and 390 series (LP: #1854485)
    - [Packaging] NVIDIA -- add support for the 435 and the 440 series

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 17 Mar 2020 18:09:54 +0100
