## linux-restricted-modules-aws 4.15.0-1064.68+1

=== debian/changelog ===
linux-restricted-modules-aws (4.15.0-1064.68+1) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] Sync variants and test:provides support
    - [Packaging] update variants

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 20 Mar 2020 14:02:37 +0100
