=== debian/control ===
Source: linux-restricted-modules-aws
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 curl,
 gawk,
 linux-headers-4.15.0-1064-aws (>= 4.15.0-1064.68),
 linux-buildinfo-4.15.0-1064-aws (>= 4.15.0-1064.68),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules-aws/+git/bionic

Package: linux-modules-nvidia-390-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-390-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-390-4.15.0-1064-aws (= ${binary:Version})
Description: Extra drivers for nvidia-390 for aws
 Install extra signed nvidia-390 modules compatible with aws

Package: linux-modules-nvidia-435-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-435-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-435-4.15.0-1064-aws (= ${binary:Version})
Description: Extra drivers for nvidia-435 for aws
 Install extra signed nvidia-435 modules compatible with aws.

Package: linux-modules-nvidia-440-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-440-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-440-4.15.0-1064-aws (= ${binary:Version})
Description: Extra drivers for nvidia-440 for aws
 Install extra signed nvidia-440 modules compatible with aws.

Package: linux-modules-nvidia-390-aws-lts-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-390-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-390-4.15.0-1064-aws (= ${binary:Version})
Description: Extra drivers for nvidia-390 for aws-lts-18.04
 Install extra signed nvidia-390 modules compatible with aws-lts-18.04

Package: linux-modules-nvidia-435-aws-lts-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-435-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-435-4.15.0-1064-aws (= ${binary:Version})
Description: Extra drivers for nvidia-435 for aws-lts-18.04
 Install extra signed nvidia-435 modules compatible with aws-lts-18.04.

Package: linux-modules-nvidia-440-aws-lts-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-440-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-440-4.15.0-1064-aws (= ${binary:Version})
Description: Extra drivers for nvidia-440 for aws-lts-18.04
 Install extra signed nvidia-440 modules compatible with aws-lts-18.04.

Package: linux-modules-nvidia-390-4.15.0-1064-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-4.15.0-1064-aws | linux-image-unsigned-4.15.0-1064-aws, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for version 4.15.0-1064
 This package contains the Linux kernel nvidia modules for version 4.15.0-1064.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-390-aws* meta-packages, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-435-4.15.0-1064-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-4.15.0-1064-aws | linux-image-unsigned-4.15.0-1064-aws, nvidia-kernel-common-435
Description: Linux kernel nvidia modules for version 4.15.0-1064
 This package contains the Linux kernel nvidia modules for version 4.15.0-1064.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-435-aws* meta-packages, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-440-4.15.0-1064-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-4.15.0-1064-aws | linux-image-unsigned-4.15.0-1064-aws, nvidia-kernel-common-440
Description: Linux kernel nvidia modules for version 4.15.0-1064
 This package contains the Linux kernel nvidia modules for version 4.15.0-1064.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-440-aws* meta-packages, which will ensure that
 upgrades work correctly, and that supporting packages are also installed.
