=== debian/rules ===
--- 
+++ 
@@ -5,27 +5,64 @@
 #VERSION := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-# Work out the source package name and version.  We assume the source package
-# is the name of this package with -restricted-modules stripped.  The version
+# Work out the source package name and version. The version
 # is identical to this package less any rebuild suffix (+lrmN).
-src_package := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Source: | cut -d ' ' -f 2 | sed -e 's/-restricted-modules//')
-src_fullversion = $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
+src_package := $(shell LC_ALL=C dpkg-parsechangelog -SSource)
+src_fullversion = $(shell LC_ALL=C dpkg-parsechangelog -SVersion)
 src_abi = $(shell echo "$(src_fullversion)" | sed -ne 's/\([0-9]*\.[0-9]*\.[0-9]*\-[0-9]*\)\..*/\1/p')
 src_version = $(shell echo $(src_fullversion) | sed -e 's/+[0-9][0-9]*//')
+src_series = $(shell dpkg-parsechangelog -SDistribution | sed -e 's/-\(security\|updates\|proposed\)$$//')
 
 dkms_nvidia_390_version=$(shell gawk '/^nvidia-graphics-drivers-390/ { print $$2; }' debian/dkms-versions)
 dkms_nvidia_435_version=$(shell gawk '/^nvidia-graphics-drivers-435/ { print $$2; }' debian/dkms-versions)
 dkms_nvidia_440_version=$(shell gawk '/^nvidia-graphics-drivers-440/ { print $$2; }' debian/dkms-versions)
+
+# Get variants, assuming primary if debian/variants is not present
+variants = --
+ifneq (,$(wildcard debian/variants))
+	variants := $(shell cat debian/variants)
+endif
+
+control_files := debian/control.common
+# control files only wanted for the primary variant
+primary_control_files := $(shell LC_ALL=C ls -d debian/control.d/transitionals-* 2>/dev/null)
+ifneq ($(filter --, $(variants)),)
+	control_files += $(primary_control_files)
+endif
+control_files += $(filter-out $(primary_control_files),$(shell LC_ALL=C ls -d debian/control.d/*))
 
 test:
 	echo "$(src_fullversion) $(src_version)"
 
 # We build our control file.  This has to be done before dh runs otherwise
 # we have no binary files and we will not run the appropriate targets.
-pre-clean:
-	sed <debian/control.stub >debian/control			\
-		-e "s/ABI/$(src_abi)/g"					\
-		-e "s/VERSION/$(src_version)/g"
+pre-clean: $(control_files)
+	rm -f debian/control.tmp
+	for i in $^; do								\
+		if grep -q "{variant:" $$i; then				\
+			variant_first='yes';					\
+			for variant in $(variants); do				\
+				variant="$$(echo "$$variant" | sed -e 's/--//')"; \
+				sed						\
+					-e "s/\$${variant:suffix}/$$variant/g"	\
+					-e "s/\(\$${test:provides\(-full\|-image\|-headers\|-modules-extra\)[^}]*}\)/$${variant_first:+\1}/g" \
+					<$$i;					\
+				echo "";					\
+				variant_first='';				\
+			done;							\
+		else								\
+			cat $$i;						\
+			echo "";						\
+		fi;								\
+	done | sed								\
+		-e 's/\$${test:provides\(-full\|-image\|-headers\|-modules-extra\)\([^}]*\)}/kernel-testing--$(KERNEL_SOURCE)-\1-\2,/g' \
+		-e 's/@SRCPKGNAME@/$(src_package)/g'				\
+		-e "s/@ABI@/$(src_abi)/g"					\
+		-e "s/@VERSION@/$(src_version)/g"				\
+		-e "s/@SERIES@/$(src_series)/g"					\
+		>debian/control.tmp
+	rm -f debian/control
+	mv debian/control.tmp debian/control
 	rm -rf ./$(src_version) UNSIGNED SIGNED
 	rm -f 	debian/linux-modules-*.install				\
 		debian/linux-modules-*.preinst 				\
@@ -34,7 +71,7 @@
 		debian/linux-modules-*.postrm
 	rm -rf $(dkms_dir)
 
-PHONY: pre-clean
+.PHONY: pre-clean
 
 debian/scripts/fix-filenames: debian/scripts/fix-filenames.c
 	cc -o $@ $^
@@ -108,3 +145,10 @@
 
 override_dh_auto_install: prepare-dkms $(flavours)
 	dh_install
+
+gencontrol_flags  = -Vdkms:nvidia-390-modules="nvidia-dkms-390 (= $(dkms_nvidia_390_version))"
+gencontrol_flags += -Vdkms:nvidia-435-modules="nvidia-dkms-435 (= $(dkms_nvidia_435_version))"
+gencontrol_flags += -Vdkms:nvidia-440-modules="nvidia-dkms-440 (= $(dkms_nvidia_440_version))"
+
+override_dh_gencontrol:
+	dh_gencontrol -- $(gencontrol_flags)
