## linux-restricted-modules-aws 4.15.0-1108.115

=== debian/changelog ===
linux-restricted-modules-aws (4.15.0-1108.115) bionic; urgency=medium

  * Master version: 4.15.0-1108.115

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 05 Jul 2021 07:32:35 -0400

linux-restricted-modules-aws (4.15.0-1107.114) bionic; urgency=medium

  * Master version: 4.15.0-1107.114

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Fri, 25 Jun 2021 17:25:11 -0300

linux-restricted-modules-aws (4.15.0-1106.113) bionic; urgency=medium

  * Master version: 4.15.0-1106.113

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 18 Jun 2021 17:39:15 -0300

linux-restricted-modules-aws (4.15.0-1105.112) bionic; urgency=medium

  * Master version: 4.15.0-1105.112

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 17 Jun 2021 19:31:03 -0300

linux-restricted-modules-aws (4.15.0-1104.111) bionic; urgency=medium

  * Master version: 4.15.0-1104.111

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 01 Jun 2021 06:52:39 -0600

linux-restricted-modules-aws (4.15.0-1103.110+1) bionic; urgency=medium

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from kernel-versions

 -- Kelsey Skunberg <kelsey.skunberg@canonical.com>  Fri, 21 May 2021 22:10:10 -0600

linux-restricted-modules-aws (4.15.0-1103.110) bionic; urgency=medium

  * Master version: 4.15.0-1103.110

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Ian May <ian.may@canonical.com>  Thu, 13 May 2021 17:10:42 -0500

linux-restricted-modules-aws (4.15.0-1102.109) bionic; urgency=medium

  * Master version: 4.15.0-1102.109

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 03 May 2021 13:39:23 -0600

linux-restricted-modules-aws (4.15.0-1101.108) bionic; urgency=medium

  * Master version: 4.15.0-1101.108

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 27 Apr 2021 09:19:41 -0600

linux-restricted-modules-aws (4.15.0-1100.107+1) bionic; urgency=medium

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Andy Whitcroft <apw@canonical.com>  Thu, 22 Apr 2021 13:57:29 +0100

linux-restricted-modules-aws (4.15.0-1100.107) bionic; urgency=medium

  * Master version: 4.15.0-1100.107

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 19 Apr 2021 09:47:20 -0600

linux-restricted-modules-aws (4.15.0-1099.106) bionic; urgency=medium

  * Master version: 4.15.0-1099.106

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 13 Apr 2021 10:24:28 -0300

linux-restricted-modules-aws (4.15.0-1098.105+1) bionic; urgency=medium

  * LRMv4: switch to signing nvidia modules via the Ubuntu Modules signing key
    (LP: #1918134)
    - [Packaging] convert to v4 autogen form

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 08 Apr 2021 14:47:07 +0200

linux-restricted-modules-aws (4.15.0-1098.105) bionic; urgency=medium

  * Master version: 4.15.0-1098.105

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 29 Mar 2021 16:27:41 +0200

linux-restricted-modules-aws (4.15.0-1097.104) bionic; urgency=medium

  * Master version: 4.15.0-1097.104

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 19 Mar 2021 16:44:40 +0100

linux-restricted-modules-aws (4.15.0-1096.103) bionic; urgency=medium

  * Master version: 4.15.0-1096.103

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 16 Mar 2021 16:43:40 +0100

linux-restricted-modules-aws (4.15.0-1095.102) bionic; urgency=medium

  * Master version: 4.15.0-1095.102

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 24 Feb 2021 18:23:50 -0500

linux-restricted-modules-aws (4.15.0-1094.101) bionic; urgency=medium

  * Master version: 4.15.0-1094.101

 -- William Breathitt Gray <william.gray@canonical.com>  Thu, 04 Feb 2021 06:20:12 -0500

linux-restricted-modules-aws (4.15.0-1094.100) bionic; urgency=medium

  * Master version: 4.15.0-1094.100

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] convert to v3 autogen form

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master
    - debian/dkms-versions -- update from master

 -- William Breathitt Gray <william.gray@canonical.com>  Tue, 02 Feb 2021 08:55:10 -0500

linux-restricted-modules-aws (4.15.0-1093.99) bionic; urgency=medium

  * Master version: 4.15.0-1093.99

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Khalid Elmously <khalid.elmously@canonical.com>  Fri, 15 Jan 2021 05:25:02 -0500

linux-restricted-modules-aws (4.15.0-1092.98+1) bionic; urgency=medium

  * CVE-2021-1052 // CVE-2021-1053
    - [Packaging] NVIDIA -- Fix build of 460 driver

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 07 Jan 2021 00:12:37 -0300

linux-restricted-modules-aws (4.15.0-1092.98) bionic; urgency=medium

  * Master version: 4.15.0-1092.98

  * CVE-2021-1052 // CVE-2021-1053
    - [Packaging] NVIDIA -- Add the 460 driver
    - [Packaging] NVIDIA -- Migrate 455 driver to 460 driver

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 06 Jan 2021 18:43:15 -0300

linux-restricted-modules-aws (4.15.0-1091.96) bionic; urgency=medium

  * Master version: 4.15.0-1091.96

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- William Breathitt Gray <william.gray@canonical.com>  Mon, 14 Dec 2020 13:50:11 -0500

linux-restricted-modules-aws (4.15.0-1090.95) bionic; urgency=medium

  * Master version: 4.15.0-1090.95

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master


