=== debian/control ===
Source: linux-restricted-modules-aws
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
Build-Depends-Arch:
 cpio,
 curl,
 dkms,
 gawk,
 linux-headers-4.15.0-1108-aws (>= 4.15.0-1108.115) [amd64],
 lsb-release,
 python3,
 python3-apt,
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-aws/+git/bionic

Package: linux-modules-nvidia-390-aws-lts-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-390-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-390-4.15.0-1108-aws (= ${binary:Version}),
 ${nvk:nvidia-390},
Description: Extra drivers for nvidia-390 for the aws-lts-18.04 flavour
 Install extra signed nvidia-390 modules compatible with the aws-lts-18.04 flavour.

Package: linux-modules-nvidia-460-aws-lts-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-460-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-460-4.15.0-1108-aws (= ${binary:Version}),
 ${nvk:nvidia-460},
Description: Extra drivers for nvidia-460 for the aws-lts-18.04 flavour
 Install extra signed nvidia-460 modules compatible with the aws-lts-18.04 flavour.

Package: linux-modules-nvidia-465-aws-lts-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-465-modules}, nvidia-prebuilt-kernel
Depends:
 ${misc:Depends},
 linux-modules-nvidia-465-4.15.0-1108-aws (= ${binary:Version}),
 ${nvk:nvidia-465},
Description: Extra drivers for nvidia-465 for the aws-lts-18.04 flavour
 Install extra signed nvidia-465 modules compatible with the aws-lts-18.04 flavour.

Package: linux-modules-nvidia-455-aws-lts-18.04
Architecture: amd64
Section: oldlibs
Depends: linux-modules-nvidia-460-aws-lts-18.04
Description: Extra drivers for nvidia-455 for the aws flavour (dummy transitional package)
 Transitional package for upgrades of -455 to -460.

Package: linux-modules-nvidia-435-aws-lts-18.04
Architecture: amd64
Section: oldlibs
Depends: linux-modules-nvidia-460-aws-lts-18.04
Description: Extra drivers for nvidia-435 for the aws flavour (dummy transitional package)
 Transitional package for upgrades of -435 to -460.

Package: linux-modules-nvidia-440-aws-lts-18.04
Architecture: amd64
Section: oldlibs
Depends: linux-modules-nvidia-460-aws-lts-18.04
Description: Extra drivers for nvidia-440 for the aws flavour (dummy transitional package)
 Transitional package for upgrades of -440 to -460.

Package: linux-modules-nvidia-450-aws-lts-18.04
Architecture: amd64
Section: oldlibs
Depends: linux-modules-nvidia-460-aws-lts-18.04
Description: Extra drivers for nvidia-450 for the aws flavour (dummy transitional package)
 Transitional package for upgrades of -450 to -460.

Package: linux-objects-nvidia-390-4.15.0-1108-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 4.15.0-1108 (objects)
 This package contains the Linux kernel nvidia modules for version 4.15.0-1108.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-390-aws* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-modules-nvidia-390-4.15.0-1108-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 linux-image-4.15.0-1108-aws | linux-image-unsigned-4.15.0-1108-aws,
 linux-signatures-nvidia-4.15.0-1108-aws (= 4.15.0-1108.115),
 linux-objects-nvidia-390-4.15.0-1108-aws (= ${binary:Version}),
 ${nvk:nvidia-390},
Description: Linux kernel nvidia modules for version 4.15.0-1108
 This package pulls together the Linux kernel nvidia modules for
 version 4.15.0-1108 with the appropriate signatures.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-390-aws* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-objects-nvidia-460-4.15.0-1108-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 4.15.0-1108 (objects)
 This package contains the Linux kernel nvidia modules for version 4.15.0-1108.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-460-aws* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-modules-nvidia-460-4.15.0-1108-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 linux-image-4.15.0-1108-aws | linux-image-unsigned-4.15.0-1108-aws,
 linux-signatures-nvidia-4.15.0-1108-aws (= 4.15.0-1108.115),
 linux-objects-nvidia-460-4.15.0-1108-aws (= ${binary:Version}),
 ${nvk:nvidia-460},
Description: Linux kernel nvidia modules for version 4.15.0-1108
 This package pulls together the Linux kernel nvidia modules for
 version 4.15.0-1108 with the appropriate signatures.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-460-aws* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-objects-nvidia-465-4.15.0-1108-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 binutils,
Description: Linux kernel nvidia modules for version 4.15.0-1108 (objects)
 This package contains the Linux kernel nvidia modules for version 4.15.0-1108.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-465-aws* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.

Package: linux-modules-nvidia-465-4.15.0-1108-aws
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 linux-image-4.15.0-1108-aws | linux-image-unsigned-4.15.0-1108-aws,
 linux-signatures-nvidia-4.15.0-1108-aws (= 4.15.0-1108.115),
 linux-objects-nvidia-465-4.15.0-1108-aws (= ${binary:Version}),
 ${nvk:nvidia-465},
Description: Linux kernel nvidia modules for version 4.15.0-1108
 This package pulls together the Linux kernel nvidia modules for
 version 4.15.0-1108 with the appropriate signatures.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-nvidia-465-aws* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.
